## gst-omx 1.12.4

=== meson_options.txt ===
option('with_omx_header_path', type : 'string', value : '', description : 'An extra include directory to find the OpenMax headers')
option('with_omx_target', type : 'combo', choices : ['none', 'generic', 'rpi', 'bellagio'], value : 'none', description : 'The OMX platform to target')
option('with_omx_struct_packing', type : 'combo', choices : ['0', '1', '2', '4', '8'], value : '0', description : 'Force OpenMAX struct packing')

## gst-omx 1.10.4

=== debian/changelog ===
gst-omx (1.10.4-1) unstable; urgency=low

  * Initial release (Closes: #858015)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 17 Mar 2017 18:43:28 +0800

=== debian/control ===
Source: gst-omx
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               docbook-xsl,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               rename,
               xsltproc
Standards-Version: 3.9.8
Section: libs
Homepage: https://gstreamer.freedesktop.org/modules/gst-omx.html

Package: gstreamer1.0-omx-generic
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenMax plugins for GStreamer
 This plugin wraps available OpenMAX IL components and makes them available as
 standard GStreamer elements.

Package: gst-omx-listcomponents
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenMax plugins for GStreamer
 This package contains listcomponents for listing components in openmax IL.
 listcomponents is a debugging tool and should be only used for developers.

Package: gstreamer1.0-omx-generic-config
Architecture: any
Section: misc
Depends: gstreamer1.0-omx-generic, ${misc:Depends}, ${shlibs:Depends}
Description: OpenMax plugins for GStreamer
 This plugin wraps available OpenMAX IL components and makes them available as
 standard GStreamer elements.
 .
 This package contains the config for gstreamer1.0-omx-generic.

Package: gstreamer1.0-omx-bellagio-config
Architecture: any
Section: misc
Priority: extra
Depends: gstreamer1.0-omx-generic, ${misc:Depends}, ${shlibs:Depends}
Description: OpenMax plugins for GStreamer
 This plugin wraps available OpenMAX IL components and makes them available as
 standard GStreamer elements.
 .
 This package is specific for using Bellagio OpenMAX IL. This package contains
 the config for gstreamer1.0-omx-generic.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with autotools_dev


override_dh_auto_configure:
	dh_auto_configure -- --with-omx-target=generic

override_dh_auto_build: gst-omx-listcomponents.1
	dh_auto_configure -- --with-omx-target=bellagio
	dh_auto_build
	dh_auto_install --destdir=$(CURDIR)/debian/tmp-bellagio
	find $(CURDIR)/debian/tmp-bellagio/usr/lib -name '*.so' -exec rename s/\\.so$$/-bellagio\\.so/ {} \;
	find $(CURDIR)/debian/tmp-bellagio/usr/lib -name '*.la' -exec rename s/\\.la$$/-bellagio\\.la/ {} \;
	find $(CURDIR)/debian/tmp-bellagio/etc/xdg -name '*.conf' -exec rename s/\\.conf$$/-bellagio\\.conf/ {} \;
	dh_auto_clean

#	dh_auto_configure -- --with-omx-target=rpi
#	dh_auto_build
#	dh_auto_install --destdir=$(CURDIR)/debian/tmp-rpi
#	dh_auto_clean

	dh_auto_configure -- --with-omx-target=generic
	dh_auto_build
	cp tools/listcomponents tools/gst-omx-listcomponents

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/tmp/usr/lib -name '*.so' -exec rename s/\\.so$$/-generic\\.so/ {} \;
	find $(CURDIR)/debian/tmp/usr/lib -name '*.la' -exec rename s/\\.la$$/-generic\\.la/ {} \;
	mkdir -p $(CURDIR)/debian/tmp/etc/xdg
	cp -n -R $(CURDIR)/debian/tmp-bellagio/* $(CURDIR)/debian/tmp

override_dh_auto_clean:
	rm -rf $(CURDIR)/debian/tmp-bellagio
	rm -rf $(CURDIR)/debian/tmp-rpi
	dh_auto_clean
	rm -f $(MULTIARCH_INSTALL)

MULTIARCH_INSTALL = debian/gstreamer1.0-omx-generic.postinst \
		    debian/gstreamer1.0-omx-generic.prerm \
		    debian/gstreamer1.0-omx-bellagio.postinst \
		    debian/gstreamer1.0-omx-bellagio.prerm

$(MULTIARCH_INSTALL): % : %.in
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@

override_dh_install: $(MULTIARCH_INSTALL)
	dh_install

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

gst-omx-listcomponents.1: debian/gst-omx-listcomponents.1.xml
	$(XP) $(DB2MAN) $<

## gst-omx 1.12.4

=== debian/changelog ===
gst-omx (1.12.4-1) unstable; urgency=low

  * New upstream release
  * debian/rules: fix debhelper-tools-from-autotools-dev-are-deprecated
  * Bump Standards-Version to 4.1.2: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 14 Dec 2017 01:07:38 +0800

gst-omx (1.12.3-2) unstable; urgency=low

  * Fix autopkgtest dependencies

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 03 Nov 2017 17:40:44 +0800

gst-omx (1.12.3-1) unstable; urgency=low

  * New upstream release
  * listcomponents-bellagio: remove Priority: extra
  * Bump Standards-Version to 4.1.1: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 31 Oct 2017 18:37:09 +0800

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                docbook-xsl,
-               libgstreamer-plugins-base1.0-dev,
-               libgstreamer1.0-dev,
+               libgstreamer-plugins-base1.0-dev (>= 1.12.3),
+               libgstreamer1.0-dev (>= 1.12.3),
                rename,
                xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Section: libs
 Homepage: https://gstreamer.freedesktop.org/modules/gst-omx.html
 
@@ -40,7 +40,6 @@
 Package: gstreamer1.0-omx-bellagio-config
 Architecture: any
 Section: misc
-Priority: extra
 Depends: gstreamer1.0-omx-generic, ${misc:Depends}, ${shlibs:Depends}
 Description: OpenMax plugins for GStreamer
  This plugin wraps available OpenMAX IL components and makes them available as

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --with autotools_dev
+	dh $@
 
 
 override_dh_auto_configure:

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# HTTP site (basic)
https://gstreamer.freedesktop.org/src/gst-omx/ \
  gst-omx-([\d\.]+)\.tar\.xz debian uupdate

## gst-omx 1.14.4

=== meson_options.txt ===
option('with_omx_header_path', type : 'string', value : '', description : 'An extra include directory to find the OpenMax headers')
option('with_omx_target', type : 'combo', choices : ['none', 'generic', 'rpi', 'bellagio', 'tizonia', 'zynqultrascaleplus'], value : 'none', description : 'The OMX platform to target')
option('with_omx_struct_packing', type : 'combo', choices : ['0', '1', '2', '4', '8'], value : '0', description : 'Force OpenMAX struct packing')

=== debian/changelog ===
gst-omx (1.14.4-1+rpt1) buster; urgency=medium

  * Add gstreamer1.0-omx-rpi
  * There is no requirement for an encoded frame to fit within
    a single OMX output buffer, as the OMX_BUFFERFLAG_ENDOFFRAME
    flag will only be set on the last buffer.
    videoenc wasn't handling that, and released the buffer onwards
    on the first matching buffer, discarding the any subsequent buffers
    as they didn't match a frame.

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 06 Feb 2019 17:49:29 +0000

gst-omx (1.14.4-1) unstable; urgency=low

  * New upstream release
  * Bump debhelper version to 10
    - start using dh_autoreconf
  * Bump Standards-Version to 4.2.1: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 08 Nov 2018 08:13:35 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: gst-omx
 Priority: optional
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                docbook-xsl,
-               libgstreamer-plugins-base1.0-dev (>= 1.12.3),
-               libgstreamer1.0-dev (>= 1.12.3),
+               libgstreamer-plugins-base1.0-dev (>= 1.14.4),
+               libgstreamer1.0-dev (>= 1.14.4),
                rename,
-               xsltproc
-Standards-Version: 4.1.2
+               xsltproc,
+               libraspberrypi-dev
+Standards-Version: 4.2.1
 Section: libs
 Homepage: https://gstreamer.freedesktop.org/modules/gst-omx.html
 
@@ -47,3 +47,38 @@
  .
  This package is specific for using Bellagio OpenMAX IL. This package contains
  the config for gstreamer1.0-omx-generic.
+
+Package: gstreamer1.0-omx-rpi
+Architecture: armhf
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: OpenMax plugins for GStreamer
+ This plugin wraps available OpenMAX IL components and makes them available as
+ standard GStreamer elements.
+
+Package: gstreamer1.0-omx-rpi-config
+Architecture: armhf
+Section: misc
+Depends: gstreamer1.0-omx-rpi, ${misc:Depends}, ${shlibs:Depends}
+Breaks: gstreamer1.0-omx (<<1.10.4)
+Replaces: gstreamer1.0-omx (<<1.10.4)
+Description: OpenMax plugins for GStreamer
+ This plugin wraps available OpenMAX IL components and makes them available as
+ standard GStreamer elements.
+ .
+ This package is specific for using Raspberry Pi's Broadcom OpenMAX IL.
+
+Package: gstreamer1.0-omx
+Architecture: armhf
+Section: misc
+Depends: gstreamer1.0-omx-rpi-config
+Description: GStreamer OpenMAX plugins
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ This module provides a plugin that allows communication of GStreamer
+ with OpenMAX IL components, which are used to access hardware
+ encoders and decoders.

=== debian/rules ===
--- 
+++ 
@@ -8,23 +8,27 @@
 %:
 	dh $@
 
-
 override_dh_auto_configure:
 	dh_auto_configure -- --with-omx-target=generic
 
 override_dh_auto_build: gst-omx-listcomponents.1
 	dh_auto_configure -- --with-omx-target=bellagio
 	dh_auto_build
+	dh_auto_test
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp-bellagio
 	find $(CURDIR)/debian/tmp-bellagio/usr/lib -name '*.so' -exec rename s/\\.so$$/-bellagio\\.so/ {} \;
 	find $(CURDIR)/debian/tmp-bellagio/usr/lib -name '*.la' -exec rename s/\\.la$$/-bellagio\\.la/ {} \;
 	find $(CURDIR)/debian/tmp-bellagio/etc/xdg -name '*.conf' -exec rename s/\\.conf$$/-bellagio\\.conf/ {} \;
 	dh_auto_clean
 
-#	dh_auto_configure -- --with-omx-target=rpi
-#	dh_auto_build
-#	dh_auto_install --destdir=$(CURDIR)/debian/tmp-rpi
-#	dh_auto_clean
+	dh_auto_configure -- --with-omx-target=rpi --with-omx-header-path=/opt/vc/include/IL --disable-examples
+	dh_auto_build
+	dh_auto_install --destdir=$(CURDIR)/debian/tmp-rpi
+	find $(CURDIR)/debian/tmp-rpi
+	find $(CURDIR)/debian/tmp-rpi/usr/lib -name '*.so' -exec rename s/\\.so$$/-rpi\\.so/ {} \;
+	find $(CURDIR)/debian/tmp-rpi/usr/lib -name '*.la' -exec rename s/\\.la$$/-rpi\\.la/ {} \;
+	find $(CURDIR)/debian/tmp-rpi/etc/xdg -name '*.conf' -exec rename s/\\.conf$$/-rpi\\.conf/ {} \;
+	dh_auto_clean
 
 	dh_auto_configure -- --with-omx-target=generic
 	dh_auto_build
@@ -36,6 +40,7 @@
 	find $(CURDIR)/debian/tmp/usr/lib -name '*.la' -exec rename s/\\.la$$/-generic\\.la/ {} \;
 	mkdir -p $(CURDIR)/debian/tmp/etc/xdg
 	cp -n -R $(CURDIR)/debian/tmp-bellagio/* $(CURDIR)/debian/tmp
+	cp -n -R $(CURDIR)/debian/tmp-rpi/* $(CURDIR)/debian/tmp
 
 override_dh_auto_clean:
 	rm -rf $(CURDIR)/debian/tmp-bellagio
@@ -46,7 +51,9 @@
 MULTIARCH_INSTALL = debian/gstreamer1.0-omx-generic.postinst \
 		    debian/gstreamer1.0-omx-generic.prerm \
 		    debian/gstreamer1.0-omx-bellagio.postinst \
-		    debian/gstreamer1.0-omx-bellagio.prerm
+		    debian/gstreamer1.0-omx-bellagio.prerm \
+		    debian/gstreamer1.0-omx-rpi.postinst \
+		    debian/gstreamer1.0-omx-rpi.prerm
 
 $(MULTIARCH_INSTALL): % : %.in
 	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@

## gst-omx 1.16.1

=== debian/changelog ===
gst-omx (1.16.1-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 10 Nov 2019 02:24:26 +0800

=== debian/control ===
Source: gst-omx
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 10),
               docbook-xsl,
               libgstreamer-plugins-base1.0-dev (>= 1.14.4),
               libgstreamer1.0-dev (>= 1.14.4),
               rename,
               xsltproc
Standards-Version: 4.2.1
Section: libs
Homepage: https://gstreamer.freedesktop.org/modules/gst-omx.html

Package: gstreamer1.0-omx-generic
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenMax plugins for GStreamer
 This plugin wraps available OpenMAX IL components and makes them available as
 standard GStreamer elements.

Package: gst-omx-listcomponents
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenMax plugins for GStreamer
 This package contains listcomponents for listing components in openmax IL.
 listcomponents is a debugging tool and should be only used for developers.

Package: gstreamer1.0-omx-generic-config
Architecture: any
Section: misc
Depends: gstreamer1.0-omx-generic, ${misc:Depends}, ${shlibs:Depends}
Description: OpenMax plugins for GStreamer
 This plugin wraps available OpenMAX IL components and makes them available as
 standard GStreamer elements.
 .
 This package contains the config for gstreamer1.0-omx-generic.

Package: gstreamer1.0-omx-bellagio-config
Architecture: any
Section: misc
Depends: gstreamer1.0-omx-generic, ${misc:Depends}, ${shlibs:Depends}
Description: OpenMax plugins for GStreamer
 This plugin wraps available OpenMAX IL components and makes them available as
 standard GStreamer elements.
 .
 This package is specific for using Bellagio OpenMAX IL. This package contains
 the config for gstreamer1.0-omx-generic.

## gst-omx 1.16.2

=== meson_options.txt ===
option('header_path', type : 'string', value : '',
    description : 'An extra include directory to find the OpenMax headers')
option('target', type : 'combo',
    choices : ['none', 'generic', 'rpi', 'bellagio', 'tizonia', 'zynqultrascaleplus'], value : 'none',
    description : 'The OMX platform to target')
option('struct_packing', type : 'combo',
    choices : ['0', '1', '2', '4', '8'], value : '0',
    description : 'Force OpenMAX struct packing')

# Common feature options
option('examples', type : 'feature', value : 'auto', yield : true)
option('tests', type : 'feature', value : 'auto', yield : true)
option('tools', type : 'feature', value : 'auto', yield : true)

=== debian/changelog ===
gst-omx (1.16.2-4) unstable; urgency=low

  * autopkgtest: Add version depends on latest libomxil-bellagio

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 01 Sep 2020 06:03:34 +0800

gst-omx (1.16.2-3) unstable; urgency=low

  * Fix autopkgtest: also test on old lib path

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 31 Aug 2020 06:23:34 +0800

gst-omx (1.16.2-2) unstable; urgency=low

  * Fix autopkgtest: libomxil-bellagio changed to Multi-Arch
  * Support Multi-Arch in /etc/xdg/gstomx-bellagio.conf

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 12 Aug 2020 14:13:50 +0800

gst-omx (1.16.2-1) unstable; urgency=low

  * New upstream release
  * Bump debhelper version to 11

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 11 Dec 2019 04:16:19 +0800

=== debian/rules ===
--- 
+++ 
@@ -19,16 +19,13 @@
 	find $(CURDIR)/debian/tmp-bellagio/usr/lib -name '*.so' -exec rename s/\\.so$$/-bellagio\\.so/ {} \;
 	find $(CURDIR)/debian/tmp-bellagio/usr/lib -name '*.la' -exec rename s/\\.la$$/-bellagio\\.la/ {} \;
 	find $(CURDIR)/debian/tmp-bellagio/etc/xdg -name '*.conf' -exec rename s/\\.conf$$/-bellagio\\.conf/ {} \;
+	sed -i 's#/usr/lib/libomxil-bellagio[.]so[.]0#/usr/lib/$(DEB_HOST_MULTIARCH)/libomxil-bellagio.so.0#g' $(CURDIR)/debian/tmp-bellagio/etc/xdg/gstomx-bellagio.conf
 	dh_auto_clean
 
-	dh_auto_configure -- --with-omx-target=rpi --with-omx-header-path=/opt/vc/include/IL --disable-examples
-	dh_auto_build
-	dh_auto_install --destdir=$(CURDIR)/debian/tmp-rpi
-	find $(CURDIR)/debian/tmp-rpi
-	find $(CURDIR)/debian/tmp-rpi/usr/lib -name '*.so' -exec rename s/\\.so$$/-rpi\\.so/ {} \;
-	find $(CURDIR)/debian/tmp-rpi/usr/lib -name '*.la' -exec rename s/\\.la$$/-rpi\\.la/ {} \;
-	find $(CURDIR)/debian/tmp-rpi/etc/xdg -name '*.conf' -exec rename s/\\.conf$$/-rpi\\.conf/ {} \;
-	dh_auto_clean
+	#dh_auto_configure -- --with-omx-target=rpi
+	#dh_auto_build
+	#dh_auto_install --destdir=$(CURDIR)/debian/tmp-rpi
+	#dh_auto_clean
 
 	dh_auto_configure -- --with-omx-target=generic
 	dh_auto_build
@@ -40,7 +37,6 @@
 	find $(CURDIR)/debian/tmp/usr/lib -name '*.la' -exec rename s/\\.la$$/-generic\\.la/ {} \;
 	mkdir -p $(CURDIR)/debian/tmp/etc/xdg
 	cp -n -R $(CURDIR)/debian/tmp-bellagio/* $(CURDIR)/debian/tmp
-	cp -n -R $(CURDIR)/debian/tmp-rpi/* $(CURDIR)/debian/tmp
 
 override_dh_auto_clean:
 	rm -rf $(CURDIR)/debian/tmp-bellagio
@@ -51,9 +47,7 @@
 MULTIARCH_INSTALL = debian/gstreamer1.0-omx-generic.postinst \
 		    debian/gstreamer1.0-omx-generic.prerm \
 		    debian/gstreamer1.0-omx-bellagio.postinst \
-		    debian/gstreamer1.0-omx-bellagio.prerm \
-		    debian/gstreamer1.0-omx-rpi.postinst \
-		    debian/gstreamer1.0-omx-rpi.prerm
+		    debian/gstreamer1.0-omx-bellagio.prerm
 
 $(MULTIARCH_INSTALL): % : %.in
 	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@

=== debian/tests/control ===
Tests: gstinspect
Depends: libomxil-bellagio0-components-base (>= 0.9.3-6), gstreamer1.0-omx-bellagio-config, gstreamer1.0-omx-generic-config, gstreamer1.0-omx-generic, gstreamer1.0-tools

Tests: listcomponents-bellagio
Depends: gstreamer1.0-omx-bellagio-config, gstreamer1.0-omx-generic, gst-omx-listcomponents, libomxil-bellagio0-components-base

## gst-omx 1.18.0

=== debian/changelog ===
gst-omx (1.18.0-0ubuntu1) groovy; urgency=medium

  * New upstream release compatible with 1.18.
  * Convert to meson, following upstream..
  * debian/patches/0002-remove-distclean-local-orc-target.patch: Drop, this
    was a patch for autotools and is not required any more.
  * Use compat 13, so we can use substvars in .install files, so that ...
  * debian/gst-omx-listcomponents.install: Install from the new build
    directory under ${DEB_HOST_MULTIARCH}. Use dh-exec to be able to rename
    the file from listcomponents (upstream's name) to gst-omx-listcomponents.
  * debian/rules: Explicitly stop installing libgstomx-bellagio.so while we're
    not building gstreamer1.0-omx-bellagio, so that dh_missing --fail-missing
    passes.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 22 Sep 2020 11:37:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: gst-omx
 Priority: optional
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
+               dh-exec,
                docbook-xsl,
-               libgstreamer-plugins-base1.0-dev (>= 1.14.4),
-               libgstreamer1.0-dev (>= 1.14.4),
+               libglib2.0-dev (>= 2.44.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.18),
+               libgstreamer1.0-dev (>= 1.18),
+               meson (>= 0.47),
                rename,
                xsltproc
 Standards-Version: 4.2.1

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,13 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-omx-target=generic
+	dh_auto_configure -- -Dtarget=generic
 
 override_dh_auto_build: gst-omx-listcomponents.1
-	dh_auto_configure -- --with-omx-target=bellagio
-	dh_auto_build
-	dh_auto_test
-	dh_auto_install --destdir=$(CURDIR)/debian/tmp-bellagio
+	dh_auto_configure --builddir=obj-$(DEB_HOST_MULTIARCH)-bellagio -- -Dtarget=bellagio
+	dh_auto_build --builddir=obj-$(DEB_HOST_MULTIARCH)-bellagio
+	dh_auto_test --builddir=obj-$(DEB_HOST_MULTIARCH)-bellagio
+	dh_auto_install --builddir=obj-$(DEB_HOST_MULTIARCH)-bellagio --destdir=$(CURDIR)/debian/tmp-bellagio
 	find $(CURDIR)/debian/tmp-bellagio/usr/lib -name '*.so' -exec rename s/\\.so$$/-bellagio\\.so/ {} \;
 	find $(CURDIR)/debian/tmp-bellagio/usr/lib -name '*.la' -exec rename s/\\.la$$/-bellagio\\.la/ {} \;
 	find $(CURDIR)/debian/tmp-bellagio/etc/xdg -name '*.conf' -exec rename s/\\.conf$$/-bellagio\\.conf/ {} \;
@@ -27,9 +27,8 @@
 	#dh_auto_install --destdir=$(CURDIR)/debian/tmp-rpi
 	#dh_auto_clean
 
-	dh_auto_configure -- --with-omx-target=generic
+	dh_auto_configure -- -Dtarget=generic
 	dh_auto_build
-	cp tools/listcomponents tools/gst-omx-listcomponents
 
 override_dh_auto_install:
 	dh_auto_install
@@ -37,10 +36,13 @@
 	find $(CURDIR)/debian/tmp/usr/lib -name '*.la' -exec rename s/\\.la$$/-generic\\.la/ {} \;
 	mkdir -p $(CURDIR)/debian/tmp/etc/xdg
 	cp -n -R $(CURDIR)/debian/tmp-bellagio/* $(CURDIR)/debian/tmp
+	# While we don't build gstreamer1.0-omx-bellagio
+	rm $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstomx-bellagio.so
 
 override_dh_auto_clean:
 	rm -rf $(CURDIR)/debian/tmp-bellagio
 	rm -rf $(CURDIR)/debian/tmp-rpi
+	dh_auto_clean --builddir=obj-$(DEB_HOST_MULTIARCH)-bellagio
 	dh_auto_clean
 	rm -f $(MULTIARCH_INSTALL)

## gst-omx 1.18.2

=== debian/changelog ===
gst-omx (1.18.2-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 11 Dec 2020 00:35:56 +0800

gst-omx (1.18.1-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 12 Nov 2020 08:15:58 +0800

gst-omx (1.18.0-2) unstable; urgency=low

  * debian/gst-omx-listcomponents.install and debian/rules:
    Use ${DEB_HOST_GNU_TYPE} instead of ${DEB_HOST_MULTIARCH} to fix FTBFS
    on i386.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 23 Sep 2020 14:03:37 +0800

gst-omx (1.18.0-1) unstable; urgency=low

  [ Iain Lane <iain@orangesquash.org.uk> ]
  * New upstream release compatible with 1.18. (Closes: #970716)
  * Convert to meson, following upstream..
  * debian/patches/0002-remove-distclean-local-orc-target.patch: Drop, this
    was a patch for autotools and is not required any more.
  * Use compat 13, so we can use substvars in .install files, so that ...
  * debian/gst-omx-listcomponents.install: Install from the new build
    directory under ${DEB_HOST_MULTIARCH}. Use dh-exec to be able to rename
    the file from listcomponents (upstream's name) to gst-omx-listcomponents.
  * debian/rules: Explicitly stop installing libgstomx-bellagio.so while we're
    not building gstreamer1.0-omx-bellagio, so that dh_missing --fail-missing
    passes.

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * Bump Standards-Version to 4.5.0: nothing needs to be changed.
  * Thanks for Iain's work.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 23 Sep 2020 03:39:54 +0800

## gst-omx 1.18.3

=== debian/changelog ===
gst-omx (1.18.3-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 23 Jan 2021 03:23:43 +0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                meson (>= 0.47),
                rename,
                xsltproc
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://gstreamer.freedesktop.org/modules/gst-omx.html

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE = 1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
 	dh $@
@@ -12,19 +13,21 @@
 	dh_auto_configure -- -Dtarget=generic
 
 override_dh_auto_build: gst-omx-listcomponents.1
-	dh_auto_configure --builddir=obj-$(DEB_HOST_MULTIARCH)-bellagio -- -Dtarget=bellagio
-	dh_auto_build --builddir=obj-$(DEB_HOST_MULTIARCH)-bellagio
-	dh_auto_test --builddir=obj-$(DEB_HOST_MULTIARCH)-bellagio
-	dh_auto_install --builddir=obj-$(DEB_HOST_MULTIARCH)-bellagio --destdir=$(CURDIR)/debian/tmp-bellagio
+	dh_auto_configure --builddir=obj-$(DEB_HOST_GNU_TYPE)-bellagio -- -Dtarget=bellagio
+	dh_auto_build --builddir=obj-$(DEB_HOST_GNU_TYPE)-bellagio
+	dh_auto_test --builddir=obj-$(DEB_HOST_GNU_TYPE)-bellagio
+	dh_auto_install --builddir=obj-$(DEB_HOST_GNU_TYPE)-bellagio --destdir=$(CURDIR)/debian/tmp-bellagio
 	find $(CURDIR)/debian/tmp-bellagio/usr/lib -name '*.so' -exec rename s/\\.so$$/-bellagio\\.so/ {} \;
 	find $(CURDIR)/debian/tmp-bellagio/usr/lib -name '*.la' -exec rename s/\\.la$$/-bellagio\\.la/ {} \;
 	find $(CURDIR)/debian/tmp-bellagio/etc/xdg -name '*.conf' -exec rename s/\\.conf$$/-bellagio\\.conf/ {} \;
-	sed -i 's#/usr/lib/libomxil-bellagio[.]so[.]0#/usr/lib/$(DEB_HOST_MULTIARCH)/libomxil-bellagio.so.0#g' $(CURDIR)/debian/tmp-bellagio/etc/xdg/gstomx-bellagio.conf
+	sed -i 's#/usr.*/lib/libomxil-bellagio[.]so[.]0#/usr/lib/$(DEB_HOST_MULTIARCH)/libomxil-bellagio.so.0#g' $(CURDIR)/debian/tmp-bellagio/etc/xdg/gstomx-bellagio.conf
+	dh_auto_clean --builddir=obj-$(DEB_HOST_GNU_TYPE)-bellagio
 	dh_auto_clean
 
-	#dh_auto_configure -- --with-omx-target=rpi
-	#dh_auto_build
-	#dh_auto_install --destdir=$(CURDIR)/debian/tmp-rpi
+	#dh_auto_configure --builddir=obj-$(DEB_HOST_GNU_TYPE)-rpi -- -Dtarget=rpi
+	#dh_auto_build --builddir=obj-$(DEB_HOST_GNU_TYPE)-rpi
+	#dh_auto_install --builddir=obj-$(DEB_HOST_GNU_TYPE)-rpi --destdir=$(CURDIR)/debian/tmp-rpi
+	#dh_auto_clean --builddir=obj-$(DEB_HOST_GNU_TYPE)-rpi
 	#dh_auto_clean
 
 	dh_auto_configure -- -Dtarget=generic
@@ -42,7 +45,7 @@
 override_dh_auto_clean:
 	rm -rf $(CURDIR)/debian/tmp-bellagio
 	rm -rf $(CURDIR)/debian/tmp-rpi
-	dh_auto_clean --builddir=obj-$(DEB_HOST_MULTIARCH)-bellagio
+	dh_auto_clean --builddir=obj-$(DEB_HOST_GNU_TYPE)-bellagio
 	dh_auto_clean
 	rm -f $(MULTIARCH_INSTALL)

## gst-omx 1.20.1

=== meson_options.txt ===
--- 
+++ 
@@ -11,3 +11,4 @@
 option('examples', type : 'feature', value : 'auto', yield : true)
 option('tests', type : 'feature', value : 'auto', yield : true)
 option('tools', type : 'feature', value : 'auto', yield : true)
+option('doc', type : 'feature', value : 'auto', yield : true)

=== debian/changelog ===
gst-omx (1.20.1-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 23 Mar 2022 22:25:03 +0800

gst-omx (1.18.5-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 17 Jan 2022 15:19:59 +0800

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,18 @@
 	#dh_auto_clean --builddir=obj-$(DEB_HOST_GNU_TYPE)-rpi
 	#dh_auto_clean
 
+	#dh_auto_configure --builddir=obj-$(DEB_HOST_GNU_TYPE)-tizonia -- -Dtarget=tizonia
+	#dh_auto_build --builddir=obj-$(DEB_HOST_GNU_TYPE)-tizonia
+	#dh_auto_install --builddir=obj-$(DEB_HOST_GNU_TYPE)-tizonia --destdir=$(CURDIR)/debian/tmp-tizonia
+	#dh_auto_clean --builddir=obj-$(DEB_HOST_GNU_TYPE)-tizonia
+	#dh_auto_clean
+
+	#dh_auto_configure --builddir=obj-$(DEB_HOST_GNU_TYPE)-zynqultrascaleplus -- -Dtarget=zynqultrascaleplus
+	#dh_auto_build --builddir=obj-$(DEB_HOST_GNU_TYPE)-zynqultrascaleplus
+	#dh_auto_install --builddir=obj-$(DEB_HOST_GNU_TYPE)-zynqultrascaleplus --destdir=$(CURDIR)/debian/tmp-zynqultrascaleplus
+	#dh_auto_clean --builddir=obj-$(DEB_HOST_GNU_TYPE)-zynqultrascaleplus
+	#dh_auto_clean
+
 	dh_auto_configure -- -Dtarget=generic
 	dh_auto_build
 
@@ -45,7 +57,12 @@
 override_dh_auto_clean:
 	rm -rf $(CURDIR)/debian/tmp-bellagio
 	rm -rf $(CURDIR)/debian/tmp-rpi
+	rm -rf $(CURDIR)/debian/tmp-tizonia
+	rm -rf $(CURDIR)/debian/tmp-zynqultrascaleplus
 	dh_auto_clean --builddir=obj-$(DEB_HOST_GNU_TYPE)-bellagio
+	dh_auto_clean --builddir=obj-$(DEB_HOST_GNU_TYPE)-rpi
+	dh_auto_clean --builddir=obj-$(DEB_HOST_GNU_TYPE)-tizonia
+	dh_auto_clean --builddir=obj-$(DEB_HOST_GNU_TYPE)-zynqultrascaleplus
 	dh_auto_clean
 	rm -f $(MULTIARCH_INSTALL)

## gst-omx 1.20.2

=== debian/changelog ===
gst-omx (1.20.2-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 07 May 2022 00:34:21 +0800

## gst-omx 1.20.3

=== debian/changelog ===
gst-omx (1.20.3-1build1) kinetic; urgency=medium

  * No-change rebuild against lto-disabled-list 35

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 07 Sep 2022 13:52:27 +0000

gst-omx (1.20.3-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 25 Jun 2022 09:42:25 +0800

## gst-omx 1.20.4

=== debian/changelog ===
gst-omx (1.20.4-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 23 Nov 2022 12:54:38 +0800

## gst-omx 1.20.5

=== debian/changelog ===
gst-omx (1.20.5-1) unstable; urgency=medium

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 10 Jan 2023 04:45:04 +0800

## gst-omx 1.22.0

=== debian/changelog ===
gst-omx (1.22.0-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 30 Jan 2023 23:47:56 +0800

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
+               docbook-xml,
                docbook-xsl,
                libglib2.0-dev (>= 2.44.0),
                libgstreamer-plugins-base1.0-dev (>= 1.18),

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dh_auto_configure --builddir=obj-$(DEB_HOST_GNU_TYPE)-bellagio -- -Dtarget=bellagio
 	dh_auto_build --builddir=obj-$(DEB_HOST_GNU_TYPE)-bellagio
 	dh_auto_test --builddir=obj-$(DEB_HOST_GNU_TYPE)-bellagio
-	dh_auto_install --builddir=obj-$(DEB_HOST_GNU_TYPE)-bellagio --destdir=$(CURDIR)/debian/tmp-bellagio
+	fakeroot dh_auto_install --builddir=obj-$(DEB_HOST_GNU_TYPE)-bellagio --destdir=$(CURDIR)/debian/tmp-bellagio
 	find $(CURDIR)/debian/tmp-bellagio/usr/lib -name '*.so' -exec rename s/\\.so$$/-bellagio\\.so/ {} \;
 	find $(CURDIR)/debian/tmp-bellagio/usr/lib -name '*.la' -exec rename s/\\.la$$/-bellagio\\.la/ {} \;
 	find $(CURDIR)/debian/tmp-bellagio/etc/xdg -name '*.conf' -exec rename s/\\.conf$$/-bellagio\\.conf/ {} \;

=== debian/tests/control ===
Tests: gstinspect
Depends: gstreamer1.0-omx-bellagio-config,
         gstreamer1.0-omx-generic,
         gstreamer1.0-omx-generic-config,
         gstreamer1.0-tools,
         libomxil-bellagio0-components-base (>= 0.9.3-6)

Tests: listcomponents-bellagio
Depends: gst-omx-listcomponents,
         gstreamer1.0-omx-bellagio-config,
         gstreamer1.0-omx-generic,
         libomxil-bellagio0-components-base

## gst-omx 1.22.0%2B1revyos5

=== debian/changelog ===
gst-omx (1.22.0+1revyos5) unstable; urgency=medium

  * Rebuild for 3.0 (native)

 -- Han Gao <gaohan@iscas.ac.cn>  Sun, 15 Oct 2023 08:12:03 +0800

gst-omx (1.22.0-1revyos5) unstable; urgency=medium

  [ Xuan Chen ]
  * (#a60d7d) remove flag OMX_BUFFERFLAG_CODECCONFIG to
  *  avoid mix codec config with frame data in the same buffer

  [ Han Gao ]
  * release version

 -- Han Gao <gaohan@iscas.ac.cn>  Tue, 19 Sep 2023 10:09:44 +0800

gst-omx (1.22.0-1revyos4.1) UNRELEASED; urgency=medium

  * (#d1d26d) merge ptg upstream commits
   - modify gstomx.conf
   - optimize encode performance use dmabuf
   - add openmax decoder post-process scale-down feature
   - add video decode buffer alignment for dmabuf

 -- Xuan Chen <chenxuan@iscas.ac.cn>  Mon, 18 Sep 2023 15:06:06 +0800

gst-omx (1.22.0-1revyos4) unstable; urgency=medium

  [ Xuan Chen ]
  * fix vp9 accel

 -- Han Gao <gaohan@iscas.ac.cn>  Fri, 21 Jul 2023 17:06:42 +0800

gst-omx (1.22.0-1revyos3) unstable; urgency=medium

  [ Xuan Chen ]
  * add-h265-vp9.patch

 -- Han Gao <gaohan@iscas.ac.cn>  Thu, 20 Jul 2023 18:17:43 +0800

gst-omx (1.22.0-1revyos2) unstable; urgency=medium

  * add vpu patch
    - add-libomxil-config.patch
    - set-dec-out-port-dmabuf.patch 

 -- Han Gao <debian@localhost>  Wed, 19 Jul 2023 03:02:49 +0800

gst-omx (1.22.0-1revyos1) unstable; urgency=medium

  * Add VC8000D config

 -- Han Gao <gaohan@iscas.ac.cn>  Fri, 02 Jun 2023 12:30:05 +0800

## gst-omx 1.22.0%2B1revyos6

=== debian/changelog ===
gst-omx (1.22.0+1revyos6) unstable; urgency=medium

  * Sync v2 patch

 -- Han Gao <gaohan@iscas.ac.cn>  Fri, 10 May 2024 16:39:33 +0800

## gst-omx 1.22.0%2B1revyos7

=== debian/changelog ===
gst-omx (1.22.0+1revyos7) unstable; urgency=medium

  * Sync v3 patch

 -- Han Gao <gaohan@iscas.ac.cn>  Thu, 19 Sep 2024 20:49:48 +0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
                libgstreamer1.0-dev (>= 1.18),
                meson (>= 0.47),
                rename,
-               xsltproc
+               xsltproc,
+               th1520-vpu
 Standards-Version: 4.5.0
 Section: libs
 Homepage: https://gstreamer.freedesktop.org/modules/gst-omx.html

## gst-omx 1.22.4

=== debian/changelog ===
gst-omx (1.22.4-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 04 Jul 2023 17:24:23 +0800

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
                docbook-xml,
                docbook-xsl,
                libglib2.0-dev (>= 2.44.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.18),
-               libgstreamer1.0-dev (>= 1.18),
+               libgstreamer-plugins-base1.0-dev (>= 1.22.4),
+               libgstreamer1.0-dev (>= 1.22.4),
                meson (>= 0.47),
                rename,
-               xsltproc,
-               th1520-vpu
+               xsltproc
 Standards-Version: 4.5.0
 Section: libs
 Homepage: https://gstreamer.freedesktop.org/modules/gst-omx.html

## gst-omx 1.22.7

=== debian/changelog ===
gst-omx (1.22.7-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 08 Dec 2023 22:48:52 +0800

## gst-omx 1.22.8

=== debian/changelog ===
gst-omx (1.22.8-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 05 Jan 2024 02:03:24 +0800

## gst-omx 1.22.9

=== debian/changelog ===
gst-omx (1.22.9-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 11 Feb 2024 07:27:49 +0800
